GNU bug report logs - #13841
24.3.50; Regression - unreadable `C-h k' help

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: "Drew Adams" <drew.adams@HIDDEN>; merged with #20157, #20942; dated Thu, 28 Feb 2013 17:04:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 1 May 2016 15:13:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 11:13:42 2016
Received: from localhost ([127.0.0.1]:60790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awt41-0002KG-RW
	for submit <at> debbugs.gnu.org; Sun, 01 May 2016 11:13:42 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:39042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1awt3z-0002K8-Rh
 for 13841 <at> debbugs.gnu.org; Sun, 01 May 2016 11:13:40 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1awt3u-0007Ya-U8; Sun, 01 May 2016 17:13:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN> <87h9el2wcj.fsf@HIDDEN>
 <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default> <87inyze2tq.fsf@HIDDEN>
 <4e02c2a0-6e68-4091-a64d-131bcfc2fc49@default>
 <83wpnfnlf1.fsf@HIDDEN> <87vb2x3n0q.fsf@HIDDEN>
 <837ffdolve.fsf@HIDDEN>
Date: Sun, 01 May 2016 17:13:33 +0200
In-Reply-To: <837ffdolve.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 01 May
 2016 18:09:57 +0300")
Message-ID: <8737q1reua.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 13841
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 13841 <at> debbugs.gnu.org,
 drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> No, I think we should forbid using a lambda as a user-visible key
> binding.

I think we should avoid doing so in the code in Emacs (we already avoid
using lambdas as function definitions for normal keystrokes, but it's
present in some menus), but I don't think we should make that invalid in
general.  I think it's fine for a user to define menus (or keystrokes)
"sloppily" for private use.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 1 May 2016 15:10:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 11:10:20 2016
Received: from localhost ([127.0.0.1]:60782 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awt0l-0002FE-T9
	for submit <at> debbugs.gnu.org; Sun, 01 May 2016 11:10:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1awt0k-0002F1-LW
 for 13841 <at> debbugs.gnu.org; Sun, 01 May 2016 11:10:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1awt0W-0000BV-A1
 for 13841 <at> debbugs.gnu.org; Sun, 01 May 2016 11:10:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52337)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1awt0W-0000Ai-6b; Sun, 01 May 2016 11:10:04 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2529
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1awt0O-0001bS-Ol; Sun, 01 May 2016 11:09:57 -0400
Date: Sun, 01 May 2016 18:09:57 +0300
Message-Id: <837ffdolve.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-reply-to: <87vb2x3n0q.fsf@HIDDEN> (message from Michael Heerdegen on Sun,
 01 May 2016 15:50:45 +0200)
Subject: Re: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN> <87h9el2wcj.fsf@HIDDEN>
 <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default> <87inyze2tq.fsf@HIDDEN>
 <4e02c2a0-6e68-4091-a64d-131bcfc2fc49@default>
 <83wpnfnlf1.fsf@HIDDEN> <87vb2x3n0q.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 13841
Cc: larsi@HIDDEN, 13841 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Michael Heerdegen <michael_heerdegen@HIDDEN>
> Cc: Drew Adams <drew.adams@HIDDEN>,  larsi@HIDDEN,  13841 <at> debbugs.gnu.org
> Date: Sun, 01 May 2016 15:50:45 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > A more general solution is not to have lambda functions hang on keys
> > and mouse clicks.
> 
> Or just give the lambda a docstring.

No, I think we should forbid using a lambda as a user-visible key
binding.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 1 May 2016 13:51:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 09:51:02 2016
Received: from localhost ([127.0.0.1]:59139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awrm2-0006kr-Nx
	for submit <at> debbugs.gnu.org; Sun, 01 May 2016 09:51:02 -0400
Received: from mout.web.de ([212.227.17.11]:56773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1awrm1-0006kH-Ef
 for 13841 <at> debbugs.gnu.org; Sun, 01 May 2016 09:51:01 -0400
Received: from drachen.dragon ([94.217.122.112]) by smtp.web.de (mrweb103)
 with ESMTPSA (Nemesis) id 0MJl1M-1avlqG42XU-0017kY; Sun, 01 May 2016 15:50:49
 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN> <87h9el2wcj.fsf@HIDDEN>
 <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default> <87inyze2tq.fsf@HIDDEN>
 <4e02c2a0-6e68-4091-a64d-131bcfc2fc49@default>
 <83wpnfnlf1.fsf@HIDDEN>
Date: Sun, 01 May 2016 15:50:45 +0200
In-Reply-To: <83wpnfnlf1.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 30 Apr
 2016 18:52:50 +0300")
Message-ID: <87vb2x3n0q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:TeB6q1Guwd0RL8FLfdMnV3+kloAjyvYFRZlhzbjflRQsF9pPaFH
 1dHct5X4um8x2YNvFDjIVs0JBDlffV1h4i2zqu7J/xaiCbF9sDCAz/D6QdtOK17fxcZhBFy
 Kn66kjORDNQCiPJcDpqYIddwecw1BOfjBdCdcfCxAzMNi1xf0/rfzZaKH06pDd9y4XzDjZ5
 S+yLQ95/15SzKGNGvebrw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:U7H4JsoFt64=:uBb06hMjgU6Ns44uzuoSl+
 KuFd6+hqu+Jn4tXzrajDNAnfStZa302sCbbeYrnqqOfLMlmPP5bvDoAhDT7Rya/vzW4MZZW5L
 Emuo9ovXvIu+dVS/YT7KZrVMFbv+Z6vdy07VmUi2HxEQzKAUOh1dBRTByhlihhSD0IgrKO6l9
 ooOMBn1karKbapgJE4VagBJNjV+hancNU2xQd7mZBDpf+8gaCvtjsSvwDkNUU5a/kKSv/ZatM
 IuvA07kUdCnt6N3IBPStahXIgfYI2e7A30YjjfVfyXrzojb9BUzP7Hyg8GBpQbjFInMH7o+GH
 8vOQqyrbodPK4QKKvraSMHXd5iqNB/WfimratsQVDwB9cjKIcWtiY1/G4ksMEN9PWlvqwr7Zi
 /x45/q1woM1+ejkLeCtm/BFWEB634nbrlt/GYfQBl88V6WO9cVaCrRBUMFuNLUW6LRf8qm3tV
 o4cTC0TXgVv49tbbhf3Q96PANAtjfyUsOjM3PV5IJ70ooOWTBOmZnLneTBI6XwF/PV+1dusqk
 6ty9J6zJ5S+Wz0OUY0asp+2L9AyWpC6NnIn0fB75iv3LzniiOnmw3x+Vb6xYmywnrQj7CKkxJ
 EIGXaZ5haAjRwmDXg2LQvW5BDI42NAYEqCaNHwcr04tqBxwZ6efjGayu2PS0vYLtH/bChpn1G
 u4W8CIO8d4EKCF1yc/BA9tf229J0OKtMjrgTjZvQkl1dylQ0F1f+u4Fh3DdxPidah4fxj5mU5
 UFdl0GR0WIJdxYZLyN79jPjrAgES5A6lpROIxJRZS39nJMaPHei0tAkoER8cSt9nneuTPi1Zn
 WPH5tJb
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 13841
Cc: larsi@HIDDEN, 13841 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> A more general solution is not to have lambda functions hang on keys
> and mouse clicks.

Or just give the lambda a docstring.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.
Forcibly Merged 13841 20157 20942. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 30 Apr 2016 18:14:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 14:14:33 2016
Received: from localhost ([127.0.0.1]:58294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awZPV-0006EH-Mr
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 14:14:33 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:37762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1awZPU-0006E2-8u
 for 13841 <at> debbugs.gnu.org; Sat, 30 Apr 2016 14:14:32 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3UIEPYZ004292
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 30 Apr 2016 18:14:26 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userv0022.oracle.com (8.14.4/8.13.8) with ESMTP id u3UIEP3X026459
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 30 Apr 2016 18:14:25 GMT
Received: from abhmp0019.oracle.com (abhmp0019.oracle.com [141.146.116.25])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u3UIEOVF018952;
 Sat, 30 Apr 2016 18:14:24 GMT
MIME-Version: 1.0
Message-ID: <057bdf6b-fa05-4dba-a129-841c96cddbdf@default>
Date: Sat, 30 Apr 2016 10:14:22 -0800 (GMT-08:00)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <<<98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN>>> <<<87h9el2wcj.fsf@HIDDEN>
 <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default>>> <<<87inyze2tq.fsf@HIDDEN>>>
 <<<4e02c2a0-6e68-4091-a64d-131bcfc2fc49@default>>>
 <<<83wpnfnlf1.fsf@HIDDEN>>> <<f6490f90-dac1-4e7f-bb98-34877820dcb6@default>>
 <<83inyzngx7.fsf@HIDDEN>>
In-Reply-To: <<83inyzngx7.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 13841
Cc: michael_heerdegen@HIDDEN, larsi@HIDDEN, 13841 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I agree that user help should show documentation, not just
Lisp code.  But certainly - far more important - not byte code.

The fix for this bug (and any that are similar) is to
use a named function with a doc string.  I think (hope)
we agree about that.

(We can disagree that if a user can read Lisp source code
then s?he should be able to also read byte code, or she
is just as likely to be able to do that.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.
Forcibly Merged 13841 20157. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 30 Apr 2016 17:30:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 13:30:30 2016
Received: from localhost ([127.0.0.1]:58241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awYio-0003t9-IR
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 13:30:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1awYij-0003k7-Og
 for 13841 <at> debbugs.gnu.org; Sat, 30 Apr 2016 13:30:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1awYiV-0002Nv-D8
 for 13841 <at> debbugs.gnu.org; Sat, 30 Apr 2016 13:30:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33431)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1awYiV-0002KW-9Q; Sat, 30 Apr 2016 13:30:07 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1939
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1awYiM-0005NS-R7; Sat, 30 Apr 2016 13:29:59 -0400
Date: Sat, 30 Apr 2016 20:29:56 +0300
Message-Id: <83inyzngx7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <f6490f90-dac1-4e7f-bb98-34877820dcb6@default> (message from Drew
 Adams on Sat, 30 Apr 2016 09:20:38 -0800 (GMT-08:00))
Subject: Re: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <<98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN>> <<87h9el2wcj.fsf@HIDDEN>
 <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default>> <<87inyze2tq.fsf@HIDDEN>>
 <<4e02c2a0-6e68-4091-a64d-131bcfc2fc49@default>> <<83wpnfnlf1.fsf@HIDDEN>>
 <f6490f90-dac1-4e7f-bb98-34877820dcb6@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 13841
Cc: michael_heerdegen@HIDDEN, larsi@HIDDEN, 13841 <at> debbugs.gnu.org,
 drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Sat, 30 Apr 2016 09:20:38 -0800 (GMT-08:00)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: michael_heerdegen@HIDDEN, larsi@HIDDEN, 13841 <at> debbugs.gnu.org
> 
> > If you don't mind the Lisp form, you shouldn't mind the byte-compiled
> > form, either.
> 
> Excuse me, but this is sheer nonsense.  I find it really
> hard to believe that you are saying such a thing, Eli.
> You who care so much about reasonably understandable
> messages and doc for users.

Lisp code is not documentation.  I find it really hard to believe you
are saying such a thing, after filing so many bug reports about
unclear and unusable documentation.

> Emacs users often (perhaps usually) read straightforward
> Lisp code.  They do not read byte-code (except for rare
> exceptions - perhaps).

They should read neither as documentation.

> Source code is intended to be read by humans.  Compiled
> code, not so much.

But neither is documentation.

> > And if you cannot read bytecode, you can disassemble
> > it, then it should be as crystal-clear to you as the Emacs 23 vintage
> > result.
> 
> Wunderbar.  That's what you want to offer users, as
> opposed to fixing this bug.

No, I'm saying that we should not show code as documentation.

> > A more general solution is not to have lambda functions hang on keys
> > and mouse clicks.
> 
> That's not a more general solution to aggressive/eager
> byte-compiling.

Yes, it is.  If no code is show as documentation, aggressive/eager
byte-compiling will hurt no one.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 30 Apr 2016 17:20:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 13:20:48 2016
Received: from localhost ([127.0.0.1]:58225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awYZT-0003Gb-U7
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 13:20:48 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:30548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1awYZT-0003GL-4v
 for 13841 <at> debbugs.gnu.org; Sat, 30 Apr 2016 13:20:47 -0400
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3UHKedt003548
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 30 Apr 2016 17:20:41 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u3UHKesv013133
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 30 Apr 2016 17:20:40 GMT
Received: from abhmp0019.oracle.com (abhmp0019.oracle.com [141.146.116.25])
 by userv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u3UHKd4S003683;
 Sat, 30 Apr 2016 17:20:39 GMT
MIME-Version: 1.0
Message-ID: <f6490f90-dac1-4e7f-bb98-34877820dcb6@default>
Date: Sat, 30 Apr 2016 09:20:38 -0800 (GMT-08:00)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <<98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN>> <<87h9el2wcj.fsf@HIDDEN>
 <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default>> <<87inyze2tq.fsf@HIDDEN>>
 <<4e02c2a0-6e68-4091-a64d-131bcfc2fc49@default>> <<83wpnfnlf1.fsf@HIDDEN>>
In-Reply-To: <<83wpnfnlf1.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 13841
Cc: michael_heerdegen@HIDDEN, larsi@HIDDEN, 13841 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> If you don't mind the Lisp form, you shouldn't mind the byte-compiled
> form, either.

Excuse me, but this is sheer nonsense.  I find it really
hard to believe that you are saying such a thing, Eli.
You who care so much about reasonably understandable
messages and doc for users.

Emacs users often (perhaps usually) read straightforward
Lisp code.  They do not read byte-code (except for rare
exceptions - perhaps).

Source code is intended to be read by humans.  Compiled
code, not so much.

> And if you cannot read bytecode, you can disassemble
> it, then it should be as crystal-clear to you as the Emacs 23 vintage
> result.

Wunderbar.  That's what you want to offer users, as
opposed to fixing this bug.  Just tell them, when they
see gibberish from `C-h f' that this is no bug but Emacs
doing everything it can to help them. ALL THEY NEED TO DO,
to decipher the gibberish, is to disassemble it.

Sheesh.  Really hard to believe this.

> > And in this particular case, at least, a simple fix should
> > be to use a named function and not an anonymous one (in
> > `menu-bar-line-wrapping-menu').
>=20
> Indeed.  And in any other case like this.
>=20
> So let's stop talking about "regressions", and start talking about the
> real problem here.  Which also suggests an easy solution.

Well, it is a regression.  But if you don't want to talk
about it, then don't(!) - please just fix it.

> > But a more general solution should be sought to the various
> > problems introduced by the aggressive/eager byte-compiling
> > that is the underlying cause of this regression.
>=20
> A more general solution is not to have lambda functions hang on keys
> and mouse clicks.

That's not a more general solution to aggressive/eager
byte-compiling.  That's the same "easy solution" that we
should apply to fixing this regression.  But that's all
we need, to close this particular bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 30 Apr 2016 15:53:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 11:53:23 2016
Received: from localhost ([127.0.0.1]:58016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awXCq-0007hi-0w
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 11:53:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1awXCl-0007hP-3t
 for 13841 <at> debbugs.gnu.org; Sat, 30 Apr 2016 11:53:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1awXCW-0004qU-9m
 for 13841 <at> debbugs.gnu.org; Sat, 30 Apr 2016 11:53:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59711)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1awXCW-0004pP-4l; Sat, 30 Apr 2016 11:53:00 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1841
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1awXCO-0000p5-R4; Sat, 30 Apr 2016 11:52:53 -0400
Date: Sat, 30 Apr 2016 18:52:50 +0300
Message-Id: <83wpnfnlf1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <4e02c2a0-6e68-4091-a64d-131bcfc2fc49@default> (message from Drew
 Adams on Sat, 30 Apr 2016 07:37:50 -0800 (GMT-08:00))
Subject: Re: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN> <87h9el2wcj.fsf@HIDDEN>
 <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default> <87inyze2tq.fsf@HIDDEN>
 <4e02c2a0-6e68-4091-a64d-131bcfc2fc49@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 13841
Cc: michael_heerdegen@HIDDEN, larsi@HIDDEN, 13841 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Sat, 30 Apr 2016 07:37:50 -0800 (GMT-08:00)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 13841 <at> debbugs.gnu.org
> 
> > > This is a REGRESSION.  With Emacs 23.4, emacs -Q C-h k, same
> > > recipe, you see this:
> > 
> > The difference to newer Emacsen is that this menu command had been a
> > quoted lambda in Emacs 23 (that didn't get compiled), and has been
> > unquoted since then (good!).  So I guess it's not a regression since
> > 23.4.
> 
> Not sure what you're saying about when or whether a regression
> was introduced.
> 
> In fact, this is a regression that was introduced in Emacs 24.3
> (probably you meant that, not 23.4).  In 24.2 and prior there
> was no such problem.

Of course, there was a problem!  Showing users a bunch of convoluted
Lisp when they ask what a key does is plain usability bug!  It doesn't
matter whether that Lisp is compiled or not, it's no way of _helping_
the user understand what the function does.

If you don't mind the Lisp form, you shouldn't mind the byte-compiled
form, either.  And if you cannot read bytecode, you can disassemble
it, then it should be as crystal-clear to you as the Emacs 23 vintage
result.

> And in this particular case, at least, a simple fix should
> be to use a named function and not an anonymous one (in
> `menu-bar-line-wrapping-menu').

Indeed.  And in any other case like this.

So let's stop talking about "regressions", and start talking about the
real problem here.  Which also suggests an easy solution.

> But a more general solution should be sought to the various
> problems introduced by the aggressive/eager byte-compiling
> that is the underlying cause of this regression.

A more general solution is not to have lambda functions hang on keys
and mouse clicks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 30 Apr 2016 15:38:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 11:38:02 2016
Received: from localhost ([127.0.0.1]:57961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awWy1-0005a7-Qb
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 11:38:02 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:51047)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1awWy0-0005Zk-Oj
 for 13841 <at> debbugs.gnu.org; Sat, 30 Apr 2016 11:38:01 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3UFbqRj004815
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 30 Apr 2016 15:37:53 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userv0022.oracle.com (8.14.4/8.13.8) with ESMTP id u3UFbqPQ007248
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 30 Apr 2016 15:37:52 GMT
Received: from abhmp0019.oracle.com (abhmp0019.oracle.com [141.146.116.25])
 by userv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u3UFbpiI006397;
 Sat, 30 Apr 2016 15:37:52 GMT
MIME-Version: 1.0
Message-ID: <4e02c2a0-6e68-4091-a64d-131bcfc2fc49@default>
Date: Sat, 30 Apr 2016 07:37:50 -0800 (GMT-08:00)
From: Drew Adams <drew.adams@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: RE: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN> <87h9el2wcj.fsf@HIDDEN>
 <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default> <87inyze2tq.fsf@HIDDEN>
In-Reply-To: <87inyze2tq.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 13841
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 13841 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > This is a REGRESSION.  With Emacs 23.4, emacs -Q C-h k, same
> > recipe, you see this:
>=20
> The difference to newer Emacsen is that this menu command had been a
> quoted lambda in Emacs 23 (that didn't get compiled), and has been
> unquoted since then (good!).  So I guess it's not a regression since
> 23.4.

Not sure what you're saying about when or whether a regression
was introduced.

In fact, this is a regression that was introduced in Emacs 24.3
(probably you meant that, not 23.4).  In 24.2 and prior there
was no such problem.

Sure, it is a good thing in general that code gets byte-compiled.
That doesn't mean that everything is better, and this is one
downside to simply replacing (in effect) source code with byte
code.

A big advantage of Emacs and its use of Lisp is seeing into
and manipulating, at runtime, the programs that underlie the
behavior.  Simply replacing (in effect) source code with byte
code works against that introspection (whether by people or
by program).

If byte-compiling is going to be done in such an automatic,
blanket way, then perhaps a pointer needs to be kept to the
source code, for uses such as this.

In this particular case, at least, showing users byte code
is not helpful.  I hope we can all agree on that, at least.

And in this particular case, at least, a simple fix should
be to use a named function and not an anonymous one (in
`menu-bar-line-wrapping-menu').

But a more general solution should be sought to the various
problems introduced by the aggressive/eager byte-compiling
that is the underlying cause of this regression.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 30 Apr 2016 11:47:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 07:47:15 2016
Received: from localhost ([127.0.0.1]:56417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awTMh-0002xm-Kv
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 07:47:15 -0400
Received: from mout.web.de ([212.227.15.14]:50806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1awTMf-0002xZ-Pq
 for 13841 <at> debbugs.gnu.org; Sat, 30 Apr 2016 07:47:14 -0400
Received: from drachen.dragon ([94.217.122.112]) by smtp.web.de (mrweb001)
 with ESMTPSA (Nemesis) id 0MKr7w-1awTMR2ZlY-0002jt; Sat, 30 Apr 2016 13:46:59
 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN> <87h9el2wcj.fsf@HIDDEN>
 <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default>
Date: Sat, 30 Apr 2016 13:46:57 +0200
In-Reply-To: <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default> (Drew Adams's
 message of "Fri, 29 Apr 2016 09:22:08 -0700 (PDT)")
Message-ID: <87inyze2tq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:tAvgAXZp9y9CTG8q6Qsvud8bXkwDTF0R+m7yGtIY5Le0fugfQ/r
 GfwMRxYWG27293GfkLGhPle0Uh88WpTm99TFDeF7a01XPHrKzy1TRZiBHTTIe4MneRGSQA+
 nVRsUZ8zlkwDbkxqJ3QmMXsA6UCT1H3QlBlWbiTMQMfeUArwDDD86g8LJNc1FaNH6MPmAU/
 m0DrJ4esgR+P/+0uY75aQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:mPsJiBoForM=:G3ImI47F1cbtg/8tpeeF5P
 WUjcBXgJmEPvoWoQIEZf4JPC2MiAL0jsldPS9z7uRHG+DJ/hkdFLBpfU57AnHmIGbWtFUa88c
 EJJTIYxCH+INpOTIJxRSnwMPRwNaXgTSFbJzT1hwCGWmWk4vXyRpzVEJBRo4bB/xiJTgoVrYI
 2SBHjfXBNHg603mUJUU/AGfjvkoHwv2YAbg5InjPSAXi0ctVIorIrcyyfUUvnsRZhIIw1TB4d
 GE6Miqq8KrZnxnEkIYhNTlPoHY/LhHo1cKmz3nDsanXbR2LzzLEj+VDnQ6SsNBoA+l/3DVdaH
 KlHMTQ6dRpXqFnDy/mDMp0fIdHdKgIz0+wZMNEcRQiKdeRGxC21KTQV0I6h4zeec4qJjXaOBq
 Cj1anb+KFmQlY+HJK1sYmWgC1mwTQLRvvKmG9JSgFT/apHjwhErbjALxbiPefEcL71utSUX9t
 vVT2O5k15D4yttuCe7tK99waEx7fjAKYtd1eqAzgqXaB1wuU/1/qFHVJm3/j5bqzFy1iPk43X
 qzASYyRGrKXaybWj98LUC9uHAXXaXwJk3uvTaDkbLanPOQFnHMcVk9fXLPq7PAH7j4KXyUZNX
 pSJ5kLXRh5oQtuutg4XamP7mjo0BuzPCFwvmRcJa9LSywDczZscGJd0fXLBjbPB1+f3s+f79K
 y1eKExqsO5FoJO5zBmUsYM9r8WIJqZvqSvMIQmTp10+hXoenFJ/Lz/pGgIwpg0UUuEiTgMCJW
 HvuQHqDjGrUuzPnRX2lyxVffAHgdMOBMCUcvA7NTCLi8gX7TuUIIaYPbgaWLa4kfOUqnTKWfO
 C8T1Sba
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 13841
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 13841 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> This is a REGRESSION.  With Emacs 23.4, emacs -Q C-h k, same
> recipe, you see this:

The difference to newer Emacsen is that this menu command had been a
quoted lambda in Emacs 23 (that didn't get compiled), and has been
unquoted since then (good!).  So I guess it's not a regression since
23.4.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 29 Apr 2016 16:22:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 29 12:22:27 2016
Received: from localhost ([127.0.0.1]:55600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awBBP-0002z9-99
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2016 12:22:26 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:24341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1awBBK-0002yu-RY
 for 13841 <at> debbugs.gnu.org; Fri, 29 Apr 2016 12:22:22 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3TGMD92029336
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 29 Apr 2016 16:22:13 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u3TGMCHs000827
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 29 Apr 2016 16:22:13 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id u3TGMAKU030804;
 Fri, 29 Apr 2016 16:22:11 GMT
MIME-Version: 1.0
Message-ID: <ca79f7e4-64b8-4c46-9719-69cbbb132ece@default>
Date: Fri, 29 Apr 2016 09:22:08 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN> <87h9el2wcj.fsf@HIDDEN>
In-Reply-To: <87h9el2wcj.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 13841
Cc: 13841 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>=20
> > I think the right solution here would be for `C-h k' just to say that
> > it's an anonymous function and leave it at that.
>=20
> Or perhaps it should just do this with byte-compiled functions.
> Anyway, here's a test case:
[...]=20
> The binary bit, at least, is probably not something we want to show to
> the user.  But the rest?  It might help with chasing down code, which is
> what I often use `C-h k' for...

This is a REGRESSION.  With Emacs 23.4, emacs -Q C-h k, same
recipe, you see this:

 <menu-bar> <options> <line-wrapping> <truncate> runs the command
 (lambda nil (interactive) (if visual-line-mode (visual-line-mode 0))
 (setq word-wrap nil) (toggle-truncate-lines 1)), which is an
 interactive Lisp function.

 It is bound to <menu-bar> <options> <line-wrapping> <truncate>.

 (anonymous)

 Not documented.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 28 Apr 2016 22:38:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 18:38:03 2016
Received: from localhost ([127.0.0.1]:53673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avuZL-00076j-Ve
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2016 18:38:03 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:38568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avuZH-00076X-34
 for 13841 <at> debbugs.gnu.org; Thu, 28 Apr 2016 18:37:58 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avuZC-0001CI-6u; Fri, 29 Apr 2016 00:37:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <98E304F5436E487A91B33E89A04A5851@HIDDEN>
 <87sirr1l0d.fsf@HIDDEN>
Date: Fri, 29 Apr 2016 00:37:48 +0200
In-Reply-To: <87sirr1l0d.fsf@HIDDEN> (Lars Ingebrigtsen's message
 of "Sun, 09 Feb 2014 23:31:46 -0800")
Message-ID: <87h9el2wcj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 13841
Cc: 13841 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I think the right solution here would be for `C-h k' just to say that
> it's an anonymous function and leave it at that.

Or perhaps it should just do this with byte-compiled functions.

Anyway, here's a test case:

(key-binding [(menu-bar) options line-wrapping word-wrap] t)
=>
#[nil "\204\300\301!\210\302\303!\207" [visual-line-mode 1 message "Visual-Line mode enabled"] 2 nil nil]

The binary bit, at least, is probably not something we want to show to
the user.  But the rest?  It might help with chasing down code, which is
what I often use `C-h k' for...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.

Message received at 13841 <at> debbugs.gnu.org:


Received: (at 13841) by debbugs.gnu.org; 10 Feb 2014 07:33:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 10 02:33:21 2014
Received: from localhost ([127.0.0.1]:33875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WClMm-0003Oc-AE
	for submit <at> debbugs.gnu.org; Mon, 10 Feb 2014 02:33:21 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:37926)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1WClMj-0003OS-AQ
 for 13841 <at> debbugs.gnu.org; Mon, 10 Feb 2014 02:33:18 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1WClMS-0000fj-4H; Mon, 10 Feb 2014 08:33:00 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#13841: 24.3.50; Regression - unreadable `C-h k' help
References: <98E304F5436E487A91B33E89A04A5851@HIDDEN>
Date: Sun, 09 Feb 2014 23:31:46 -0800
In-Reply-To: <98E304F5436E487A91B33E89A04A5851@HIDDEN> (Drew Adams's
 message of "Thu, 28 Feb 2013 09:01:09 -0800")
Message-ID: <87sirr1l0d.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1WClMS-0000fj-4H
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1392622383.37546@S60pOjDauIjhU73NNkO6SQ
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 13841
Cc: 13841 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

"Drew Adams" <drew.adams@HIDDEN> writes:

> C-h k
>
> Then choose menu item Options > Line Wrapping in This Buffer > Truncate
> Long Lines.
>
> You see binary output instead of useful help:
>
> <menu-bar> <options> <line-wrapping> <truncate> runs the command #[nil
> "ILLEGIBLE, INCOMPREHENSIBLE BINARY INCANTATIONS" [visual-line-mode
> word-wrap 0 nil toggle-truncate-lines 1] 2 nil nil], which is an
> interactive compiled Lisp function.
>
> It is bound to <menu-bar> <options> <line-wrapping> <truncate>.
>
> (anonymous)
>
> Not documented.
>
> For reference wrt this regression, this is what Emacs 23.4 shows
> instead - much more readable and helpful:
>
> <menu-bar> <options> <line-wrapping> <truncate> runs the command
> (lambda nil (interactive) (if visual-line-mode (visual-line-mode 0))
> (setq word-wrap nil) (toggle-truncate-lines 1)), which is an
> interactive Lisp function.
>
> It is bound to <menu-bar> <options> <line-wrapping> <truncate>.

Perhaps that's just because it didn't byte-compile the function?  So
we're making progress.

Anyway, if we put lambdas into menus, `C-h k' isn't very helpful:

    (bindings--define-key menu [truncate]
      `(menu-item "Truncate Long Lines"
                  ,(lambda ()
                     (interactive)
                     (if visual-line-mode (visual-line-mode 0))
                     (setq word-wrap nil)
                     (toggle-truncate-lines 1))
                  :help "Truncate long lines at window edge"
                  :button (:radio . (or truncate-lines
                                        (truncated-partial-width-window-p)))
                  :visible (menu-bar-menu-frame-live-and-visible-p)
                  :enable (not (truncated-partial-width-window-p))))

I think the right solution here would be for `C-h k' just to say that
it's an anonymous function and leave it at that.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Feb 2013 17:03:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 28 12:03:31 2013
Received: from localhost ([127.0.0.1]:56439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UB6tH-0003Kg-7R
	for submit <at> debbugs.gnu.org; Thu, 28 Feb 2013 12:03:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58260)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1UB6tE-0003KW-4Z
	for submit <at> debbugs.gnu.org; Thu, 28 Feb 2013 12:03:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1UB6rF-0003cP-Dn
	for submit <at> debbugs.gnu.org; Thu, 28 Feb 2013 12:01:30 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-104.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_MED,
	RP_MATCHES_RCVD, UNPARSEABLE_RELAY,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:54609)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1UB6rF-0003cI-Bk
	for submit <at> debbugs.gnu.org; Thu, 28 Feb 2013 12:01:25 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41299)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1UB6r9-0001NY-8R
	for bug-gnu-emacs@HIDDEN; Thu, 28 Feb 2013 12:01:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1UB6r2-0003Y5-Pk
	for bug-gnu-emacs@HIDDEN; Thu, 28 Feb 2013 12:01:19 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:31085)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1UB6r2-0003Y1-J7
	for bug-gnu-emacs@HIDDEN; Thu, 28 Feb 2013 12:01:12 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by aserp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with
	ESMTP id r1SH1Bx0014381
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Thu, 28 Feb 2013 17:01:11 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r1SH1APL011912
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <bug-gnu-emacs@HIDDEN>; Thu, 28 Feb 2013 17:01:10 GMT
Received: from abhmt108.oracle.com (abhmt108.oracle.com [141.146.116.60])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r1SH1AcN013285
	for <bug-gnu-emacs@HIDDEN>; Thu, 28 Feb 2013 11:01:10 -0600
Received: from dradamslap1 (/130.35.178.8)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Thu, 28 Feb 2013 09:01:09 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.3.50; Regression - unreadable `C-h k' help
Date: Thu, 28 Feb 2013 09:01:09 -0800
Message-ID: <98E304F5436E487A91B33E89A04A5851@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: Ac4V1TRVmrqReakNQQefcrsDhiz7vw==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)


emacs -Q
 
C-h k
 
Then choose menu item Options > Line Wrapping in This Buffer > Truncate
Long Lines.
 
You see binary output instead of useful help:
 
<menu-bar> <options> <line-wrapping> <truncate> runs the command #[nil
"ILLEGIBLE, INCOMPREHENSIBLE BINARY INCANTATIONS" [visual-line-mode
word-wrap 0 nil toggle-truncate-lines 1] 2 nil nil], which is an
interactive compiled Lisp function.
 
It is bound to <menu-bar> <options> <line-wrapping> <truncate>.
 
(anonymous)
 
Not documented.
 

For reference wrt this regression, this is what Emacs 23.4 shows
instead - much more readable and helpful:
 
<menu-bar> <options> <line-wrapping> <truncate> runs the command
(lambda nil (interactive) (if visual-line-mode (visual-line-mode 0))
(setq word-wrap nil) (toggle-truncate-lines 1)), which is an
interactive Lisp function.
 
It is bound to <menu-bar> <options> <line-wrapping> <truncate>.
 
(anonymous)
 
Not documented.
 
 
 

In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-02-25 on ODIEONE
Bzr revision: 111879 yamaoka@HIDDEN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13841; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 1 May 2016 15:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.